Google Web Toolkit
Search Google Code:

# Class FormHandlerCollection

public class FormHandlerCollection
extends ArrayList
Helper class for widgets that accept FormHandlers. This subclass of ArrayList assumes that all items added to it will be of type FormHandler.

## Methods

fireOnComplete(Object, String) | Fires a FormHandler.onSubmitComplete(FormSubmitCompleteEvent) on all handlers in the collection.
fireOnSubmit(Object) | Fires a FormHandler.onSubmit(FormSubmitEvent) on all handlers in the collection.

## Method Detail

### fireOnComplete

public void fireOnComplete(Object sender, String results)
Fires a FormHandler.onSubmitComplete(FormSubmitCompleteEvent) on all handlers in the collection.

#### Parameters

sender
  the object sending the event
results
  the results of the form submission

### fireOnSubmit

public boolean fireOnSubmit(Object sender)
Fires a FormHandler.onSubmit(FormSubmitEvent) on all handlers in the collection.

#### Parameters

sender
  the object sending the event

#### Return Value

`true` if the event should be cancelled